/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_APREPROD                                                 */
/* Tabela : APREPROD                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_APREPROD'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_APREPROD
GO

CREATE TRIGGER DTULTATU_APREPROD
ON APREPROD
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'APREPROD', null, 'CDAPRERECE='+ CDAPRERECE+ ';'+
                                       'CDPRODUTO=' + CDPRODUTO + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE APREPROD
      SET DTULTATUAPRO = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(APREPROD.CDAPRERECE,0) = ISNULL(INSERTED.CDAPRERECE,0)) AND
            (ISNULL(APREPROD.CDPRODUTO,0)  = ISNULL(INSERTED.CDPRODUTO,0));
   END;
END;
GO


